/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { SingleRecordResource } from '@nocobase/flow-engine';
import React from 'react';
import { FormBlockModel } from './FormBlockModel';
export declare class CreateFormModel extends FormBlockModel {
    static scene: import("../../base/BlockModel").BlockSceneType;
    static blockCapabilityActionName: string;
    private actionFlowSettings;
    private actionExtraToolbarItems;
    createResource(ctx: any, params: any): SingleRecordResource<unknown>;
    getAclActionName(): string;
    submitHandler(ctx: any, params: any, cb?: (values?: any, filterByTk?: any) => void): Promise<void>;
    submit(params?: any, cb?: (values?: any, filterByTk?: any) => void): Promise<void>;
    renderComponent(): React.JSX.Element;
}
